# CALL_DEF_MATERIAL Struct Reference

`#include <InterfaceGraphic_Graphic3d.hxx>`

## Data Fields

float | Ambient
int | IsAmbient
float | Diffuse
int | IsDiffuse
float | Specular
int | IsSpecular
float | Emission
int | IsEmission
float | Transparency
float | Shininess
float | EnvReflexion
int | IsPhysic
CALL_DEF_COLOR | ColorAmb
CALL_DEF_COLOR | ColorDif
CALL_DEF_COLOR | ColorSpec
CALL_DEF_COLOR | ColorEms
CALL_DEF_COLOR | Color

## Field Documentation

float CALL_DEF_MATERIAL::Ambient

CALL_DEF_COLOR CALL_DEF_MATERIAL::Color

CALL_DEF_COLOR CALL_DEF_MATERIAL::ColorAmb

CALL_DEF_COLOR CALL_DEF_MATERIAL::ColorDif

CALL_DEF_COLOR CALL_DEF_MATERIAL::ColorEms

CALL_DEF_COLOR CALL_DEF_MATERIAL::ColorSpec

float CALL_DEF_MATERIAL::Diffuse

float CALL_DEF_MATERIAL::Emission

float CALL_DEF_MATERIAL::EnvReflexion

int CALL_DEF_MATERIAL::IsAmbient

int CALL_DEF_MATERIAL::IsDiffuse

int CALL_DEF_MATERIAL::IsEmission

int CALL_DEF_MATERIAL::IsPhysic

int CALL_DEF_MATERIAL::IsSpecular

float CALL_DEF_MATERIAL::Shininess

float CALL_DEF_MATERIAL::Specular

float CALL_DEF_MATERIAL::Transparency

The documentation for this struct was generated from the following file:

- InterfaceGraphic_Graphic3d.hxx